import { DocumentReaderBarcodeField } from "./DocumentReaderBarcodeField";

export class DocumentReaderBarcodeResult{
    constructor(){
        this.fields = [];
    }

    static fromJson(jsonObject){
        if (jsonObject != null) {
            var result = new DocumentReaderBarcodeResult();
            for(var i in jsonObject["fields"]){
                result.fields.push(DocumentReaderBarcodeField.fromJson(jsonObject["fields"][i]));
            }
            return result;
        }
        return null;
    }
}